function [sample] = initializeSample(args)

    arguments
        args.H (1,1) double {mustBeNumeric, mustBePositive} = 350e-3 % Height [m]
        args.R (1,1) double {mustBeNumeric, mustBePositive} = 350e-3 % Radius [m]
        args.m (1,1) double {mustBeNumeric, mustBePositive} = 1 % Mass [kg]
    end

    sample = struct();

    switch args.type
      case '0'
        sample.type = 0;
      case '1'
        sample.type = 1;
      case '2'
        sample.type = 2;
      case '3'
        sample.type = 3;
    end

    if exist('./mat', 'dir')
        if exist('./mat/nass_model_stages.mat', 'file')
            save('mat/nass_model_stages.mat', 'sample', '-append');
        else
            save('mat/nass_model_stages.mat', 'sample');
        end
    elseif exist('./matlab', 'dir')
        if exist('./matlab/mat/nass_model_stages.mat', 'file')
            save('matlab/mat/nass_model_stages.mat', 'sample', '-append');
        else
            save('matlab/mat/nass_model_stages.mat', 'sample');
        end
    end

end
